1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.3 1.3 Beta 4 upgrade problem

Discussion in 'Installation, Upgrade, and Import Support' started by Big Dan, Feb 18, 2014.

  1. Big Dan

    Big Dan Active Member

    I'm having trouble with the upgrade to beta 4. I've tried uploading both the upgrade and full packages.

    An exception occurred: include(/home/debate/public_html/library/XenForo/Install/View/ErrorServer.php): failed to open stream: Permission denied in /home/debate/public_html/library/XenForo/Autoloader.php on line 119
    [*]XenForo_Application::handlePhpError() in XenForo/Autoloader.php at line 119
    [*]XenForo_Autoloader::autoload() in XenForo/Autoloader.php at line 119
    [*]XenForo_Autoloader->autoload() in XenForo/Application.php at line 1001
    [*]XenForo_Application::autoload() in XenForo/Application.php at line 451
    [*]XenForo_Application::resolveDynamicClass() in XenForo/ViewRenderer/Abstract.php at line 209
    [*]XenForo_ViewRenderer_Abstract->renderViewObject() in XenForo/ViewRenderer/HtmlInstall.php at line 63
    [*]XenForo_ViewRenderer_HtmlInstall->renderView() in XenForo/FrontController.php at line 582
    [*]XenForo_FrontController->renderView() in XenForo/FrontController.php at line 158
    [*]XenForo_FrontController->run() in /home/debate/public_html/install/index.php at line 18
  2. Jeremy

    Jeremy XenForo Moderator Staff Member

    Your file system has blocked access to the file specified:


    Check the file permissions on the specified file.
    Big Dan likes this.
  3. Big Dan

    Big Dan Active Member

    That was odd ErrorServer.php had 00 permissions. I changed it 0644 and the upgrade went off with out a hitch. Thanks @Jeremy

Share This Page